---
search:
  tags:
    - Price Lists
    - GET
seo:
  description: >-
    Returns all products that have a price override within this price list.
    Reference for the GET /price_lists/{id}/products endpoint in the Bolder API
    v2.
sidebar:
  label: List products in a price list
  badge: GET
title: List products in a price list
type: openapi-operation
---
Returns all products that have a price override within this price list.

`GET /price_lists/{id}/products`

**Responses**

- `200` — Products in this price list
- `404` — Price list not found

Response example, 200:

```json
{
  "_class": [
    "results",
    "priceListProducts"
  ],
  "total_items": 3,
  "_embedded": {
    "items": [
      {
        "id": 101,
        "product_id": 101,
        "name": "Summer Dress",
        "slug": "summer-dress",
        "price": 3999,
        "retail_price": 4999,
        "_embedded": {
          "price_items": [
            {
              "id": 201,
              "variant_id": 201,
              "price": 3999
            }
          ]
        }
      }
    ]
  }
}
```
